## org.red5.server.net.proxy
Class NetworkDumpFilter

    java.lang.Object
      org.apache.mina.core.filterchain.IoFilterAdapter
          org.red5.server.net.proxy.NetworkDumpFilter

All Implemented Interfaces:
  IoFilter

    public class NetworkDumpFilter

extends IoFilterAdapter

Network dump filter, performs raw data and headers dump on message recieve

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mina.core.filterchain.IoFilter
`IoFilter.NextFilter`

Field Summary
`protected WritableByteChannel` `headers` Headers byte channel
`protected static Logger` `log` Logger
`protected WritableByteChannel` `raw` Raw data byte channel

Constructor Summary
`NetworkDumpFilter(WritableByteChannel headers, WritableByteChannel raw)` Create network dump filter from given dump channels

Method Summary
`void` `messageReceived(IoFilter.NextFilter next, IoSession session, Object message)`
`void` `sessionClosed(IoFilter.NextFilter next, IoSession session)`

Methods inherited from class org.apache.mina.core.filterchain.IoFilterAdapter
`destroy, exceptionCaught, filterClose, filterWrite, init, messageSent, onPostAdd, onPostRemove, onPreAdd, onPreRemove, sessionCreated, sessionIdle, sessionOpened, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static Logger log

  Logger

### raw

    protected WritableByteChannel raw

  Raw data byte channel

### headers

    protected WritableByteChannel headers

  Headers byte channel

Constructor Detail

### NetworkDumpFilter

    public NetworkDumpFilter(WritableByteChannel headers,
                             WritableByteChannel raw)

  Create network dump filter from given dump channels

  Parameters:
    `headers` - Channel to dump headers
    `raw` - Channel to dump raw data

Method Detail

### messageReceived

    public void messageReceived(IoFilter.NextFilter next,
                                IoSession session,
                                Object message)
                         throws Exception

  Specified by:
    `messageReceived` in interface `IoFilter`
  Overrides:
    `messageReceived` in class `IoFilterAdapter`
  Throws:
    `Exception`

### sessionClosed

    public void sessionClosed(IoFilter.NextFilter next,
                              IoSession session)
                       throws Exception

  Specified by:
    `sessionClosed` in interface `IoFilter`
  Overrides:
    `sessionClosed` in class `IoFilterAdapter`
  Throws:
    `Exception`

Copyright © 2006-2010 The Red5 Project